---
- name: Verify yum-cron installed
  yum: name=yum-cron state=present
- name: Set yum update policy
  ini_file:
    section: commands
    option: update_cmd
    value: "{{ yum_update_policy }}"
    path: "{{ yum_update_config }}"
  when: yum_update_policy != false
- name: "{{ (yum_update_policy | ternary('Enable', 'Disable')) }} yum-cron"
  systemd:
    name: yum-cron
    state: "{{ yum_update_policy | ternary('started', 'stopped') }}"
    enabled: " {{ yum_update_policy | ternary('yes', 'no') }}"
- ini_file:
    section: commands
    option: apply_updates
    value: "{{ yum_update_policy | ternary('yes', 'no')}}"
    path: "{{ yum_update_config }}"
- name: Set yum-cron option
  ini_file:
    section: base
    option: "{{ item.key }}"
    value: "{{ item.value | string }}"
    path: "{{ yum_update_config }}"
  with_dict:
    skip_broken: "yes"
    assumeyes: "{{ yum_autoimport_keys }}"
- name: "Add {{ apnscp_filesystem_template }} yum synchronization"
  template:
    src: apnscp.action.j2
    dest: /etc/yum/post-actions/apnscp.action
